Subject: bug#74874: closed (Re: [bug#74874] [PATCH] gnu: reuse: Update to 5.0.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Dec 2024 08:46:02 +0000

Your bug report

#74874: [PATCH] gnu: reuse: Update to 5.0.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74874: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74874
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#74874] [PATCH] gnu: reuse: Update to 5.0.2.
From: Maxim Cournoyer <[email-masked]>
To: Evgeny Pisemsky <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Dec 2024 17:44:05 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I happened to come up with an update independently of your work (hadn't
looked first, sorry!); they mostly converge.  I'll share what I've done
a bit differently below:

Evgeny Pisemsky <[email-masked]> writes:

>>>From 90dafdbe169674fc02ad392b47dcb47e837ba4db Mon Sep 17 00:00:00 2001
> Message-ID: <[email-masked]>
> From: Evgeny Pisemsky <[email-masked]>
> Date: Sat, 14 Dec 2024 20:25:10 +0300
> Subject: [PATCH] gnu: reuse: Update to 5.0.2.
>
> * gnu/packages/license.scm (reuse): Update to 5.0.2.

The GNU changelog commit message should contains the changes made (see
other commits for examples).

[...]

> @@ -175,13 +176,15 @@ (define-public licensecheck
>  (define-public reuse
>    (package
>      (name "reuse")
> -    (version "3.0.2")
> +    (version "5.0.2")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (pypi-uri "reuse" version))
>         (sha256
> -        (base32 "19ijdwbr47pa0ba30s40b53qb0chyq27akj0484aj9s5p1i85svk"))))
> +        (base32 "0p08xmpf361m81kfmkwzm898q9iaq5v6cvb0sjx1176jbnp1d047"))
> +       ;; Delete test that hangs for some reason.
> +       (snippet '(delete-file "tests/test_cli_spdx.py"))))

I've used #:test-flags #~(list "-k" "not test_simple") instead, and
reported the problem upstream (see:
https://github.com/fsfe/reuse-tool/issues/1119).

>      (build-system pyproject-build-system)
>      (arguments
>       ;; Change directory before running the test suite to avoid having both
> @@ -194,14 +197,17 @@ (define-public reuse
>      (native-inputs
>       (list python-poetry-core
>             python-pytest
> -           python-wheel))
> +           python-pytest-cov

pytest-cov doesn't appear to be required (optional).

> +           python-freezegun))
>      (inputs
>       (list python-binaryornot
>             python-boolean.py
>             python-debian
>             python-jinja2
>             python-license-expression
> -           python-setuptools)) ; For pkg_resources.
> +           python-attrs
> +           python-click
> +           python-tomlkit))
>      (home-page "https://reuse.software/")
>      (synopsis "Provide and verify copyright and licensing information")
>      (description
> @@ -219,7 +225,7 @@ (define-public reuse
>  tools that have a lot more features and functionality surrounding the analysis
>  and inspection of copyright and licenses in software projects.  This one is
>  designed to be simple.")
> -    (license (list asl2.0 gpl3+))))
> +    (license (list asl2.0 cc0 cc-by-sa4.0 gpl3+))))

This is not mentioned in your commit message; but I see this seems
accurate according to
https://github.com/fsfe/reuse-tool/tree/main/LICENSES, so I've kept it.

I've added a Co-authored-by git trailer to your name, along a copyright
line for you, and pushed as 06ca44f70f.

Thank you!

-- 
Maxim

Subject: [PATCH] gnu: reuse: Update to 5.0.2.
From: Evgeny Pisemsky <[email-masked]>
To: [email-masked]
Date: Sat, 14 Dec 2024 20:30:13 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>From 90dafdbe169674fc02ad392b47dcb47e837ba4db Mon Sep 17 00:00:00 2001
Message-ID: <[email-masked]>
From: Evgeny Pisemsky <[email-masked]>
Date: Sat, 14 Dec 2024 20:25:10 +0300
Subject: [PATCH] gnu: reuse: Update to 5.0.2.

* gnu/packages/license.scm (reuse): Update to 5.0.2.

Change-Id: Ibb14f17a94148910f2e32d977d000ccb40f6e36a
---
 gnu/packages/license.scm | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/license.scm b/gnu/packages/license.scm
index 53a0b98f9a..589e54e9a0 100644
--- a/gnu/packages/license.scm
+++ b/gnu/packages/license.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2021 Tanguy Le Carrour <[email-masked]>
 ;;; Copyright © 2022 Felix Gruber <[email-masked]>
 ;;; Copyright © 2024 Maxim Cournoyer <[email-masked]>
+;;; Copyright © 2024 Evgeny Pisemsky <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -175,13 +176,15 @@ (define-public licensecheck
 (define-public reuse
   (package
     (name "reuse")
-    (version "3.0.2")
+    (version "5.0.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "reuse" version))
        (sha256
-        (base32 "19ijdwbr47pa0ba30s40b53qb0chyq27akj0484aj9s5p1i85svk"))))
+        (base32 "0p08xmpf361m81kfmkwzm898q9iaq5v6cvb0sjx1176jbnp1d047"))
+       ;; Delete test that hangs for some reason.
+       (snippet '(delete-file "tests/test_cli_spdx.py"))))
     (build-system pyproject-build-system)
     (arguments
      ;; Change directory before running the test suite to avoid having both
@@ -194,14 +197,17 @@ (define-public reuse
     (native-inputs
      (list python-poetry-core
            python-pytest
-           python-wheel))
+           python-pytest-cov
+           python-freezegun))
     (inputs
      (list python-binaryornot
            python-boolean.py
            python-debian
            python-jinja2
            python-license-expression
-           python-setuptools)) ; For pkg_resources.
+           python-attrs
+           python-click
+           python-tomlkit))
     (home-page "https://reuse.software/")
     (synopsis "Provide and verify copyright and licensing information")
     (description
@@ -219,7 +225,7 @@ (define-public reuse
 tools that have a lot more features and functionality surrounding the analysis
 and inspection of copyright and licenses in software projects.  This one is
 designed to be simple.")
-    (license (list asl2.0 gpl3+))))
+    (license (list asl2.0 cc0 cc-by-sa4.0 gpl3+))))
 
 (define-public licenseheaders
   (package

base-commit: b8d72efbb14637a9242168b4ceafdd6864895ff2
-- 
2.46.0